
TYPO3.Flow - Bug # 4091

Status: Resolved Priority: Must have
Author: Irene Höppner Category: Utility
Created: 2009-07-31 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: F3\FLOW3\Utility\Files::getUnixStylePath() creates invalid paths on windows
Description

C:\h\flow3\intranet\Web

becomes

C://h/flow3/intranet/Web/

Windows doesn't like the // and fails to create directories later.

Associated revisions
Revision b8ed35e2 - 2009-08-03 17:57 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Utility): getUnixStylePaths() no longer breaks paths with DOS drive letters, fixes #4091.

History
#1 - 2009-08-03 17:49 - Karsten Dambekalns
- Category set to Utility
- Status changed from New to Accepted

#2 - 2009-08-03 17:52 - Bastian Waidelich
- File 4091_getUnixStylePath_creates_invalid_paths_on_windows.patch added

This is a major bug that will kill FLOW3 on Windows with a fatal error.

I'm not sure wheter \F3\FLOW3\Utility\Files::getUnixStylePath() should replaced double slashes at all.. If I provide a path with wrong slashes like
"/var/www//foo/" the path is probably invalid anyways..

Attached is a patch that simply skips the replacement of "//" to "/".

#3 - 2009-08-03 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2981.
